Summary: Params::Validate module for Perl.
Name: perl-Params-Validate
Version: 0.04
Release: 1
Group: Applications/CPAN
Copyright: distributable
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.cpan.org/CPAN/modules/by-authors/id/D/DR/DROLSKY/Params-Validate-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root
BuildRequires: perl >= 5.6.0
Requires: perl >= 5.6.0

%description
The Params::Validate module provides a flexible system for validation
method/function call parameters.  The validation can be as simple as
checking for the presence of required parameters or as complex as
validating object classes (via isa) or capabilities (via can),
checking parameter types, and using customized callbacks to ensure
data integrity.

The module has been designed to work equally well with positional or
named parameters (via a hash or hash reference).


# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl


%prep
%setup -q -n Params-Validate-%{version} 


%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL
make
make test


%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr -type f -print | 
	sed "s@^$RPM_BUILD_ROOT@@g" | 
	grep -v perllocal.pod | 
	grep -v "\.packlist" > HTML-Mason-filelist
if [ "$(cat HTML-Mason-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi


%files -f HTML-Mason-filelist
%defattr(-,root,root)


%clean 
rm -rf $RPM_BUILD_ROOT

